Trigger source sync
POST
/api/sources/{sourceId}/sync
const url = 'https://firma.company-gpt.com/companygpt/rag/api/api/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sync';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://firma.company-gpt.com/companygpt/rag/api/api/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sync \ --header 'Authorization: Bearer <token>'Manually trigger synchronization from this data source. Requires write access to its collection (or, for orphaned sources, being the creator).
Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „Parameters“Path Parameters
Abschnitt betitelt „Path Parameters“sourceId
required
string format: uuid
Responses
Abschnitt betitelt „Responses“Sync job queued
Media typeapplication/json
object
message
required
string
Example
{ "message": "Sync job queued successfully"}Invalid source ID
Unauthorized
Caller does not have permission to sync this source
Source not found
A sync is already in progress for this source